Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface DatagenFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DatagenFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `DatagenPackage`

Field Summary
`static DatagenFactory` | `eINSTANCE` The singleton instance of the factory

Method Summary
`CustomDeleter` | `createCustomDeleter()` Returns a new object of class 'Custom Deleter'
`CustomFinder` | `createCustomFinder()` Returns a new object of class 'Custom Finder'
`CustomUpdater` | `createCustomUpdater()` Returns a new object of class 'Custom Updater'
`DaoPackage` | `createDaoPackage()` Returns a new object of class 'Dao Package'
`DataAccessObject` | `createDataAccessObject()` Returns a new object of class 'Data Access Object'
`DBAccessModel` | `createDBAccessModel()` Returns a new object of class 'DB Access Model'
`DeleteByPK` | `createDeleteByPK()` Returns a new object of class 'Delete By PK'
`Deleters` | `createDeleters()` Returns a new object of class 'Deleters'
`FindAll` | `createFindAll()` Returns a new object of class 'Find All'
`FindByPK` | `createFindByPK()` Returns a new object of class 'Find By PK'
`Finders` | `createFinders()` Returns a new object of class 'Finders'
`FromClause` | `createFromClause()` Returns a new object of class 'From Clause'
`Inserter` | `createInserter()` Returns a new object of class 'Inserter'
`JoinClause` | `createJoinClause()` Returns a new object of class 'Join Clause'
`JoinCriterion` | `createJoinCriterion()` Returns a new object of class 'Join Criterion'
`LookupResolver` | `createLookupResolver()` Returns a new object of class 'Lookup Resolver'
`LookupResolvers` | `createLookupResolvers()` Returns a new object of class 'Lookup Resolvers'
`OrderSpec` | `createOrderSpec()` Returns a new object of class 'Order Spec'
`OrderSpecs` | `createOrderSpecs()` Returns a new object of class 'Order Specs'
`QBEFinder` | `createQBEFinder()` Returns a new object of class 'QBE Finder'
`QCalculatedColumn` | `createQCalculatedColumn()` Returns a new object of class 'QCalculated Column'
`QTable` | `createQTable()` Returns a new object of class 'QTable'
`QTableColumn` | `createQTableColumn()` Returns a new object of class 'QTable Column'
`QueryDef` | `createQueryDef()` Returns a new object of class 'Query Def'
`SelectClause` | `createSelectClause()` Returns a new object of class 'Select Clause'
`SequencePKGenerator` | `createSequencePKGenerator()` Returns a new object of class 'Sequence PK Generator'
`UpdateColumns` | `createUpdateColumns()` Returns a new object of class 'Update Columns'
`UpdateRow` | `createUpdateRow()` Returns a new object of class 'Update Row'
`Updaters` | `createUpdaters()` Returns a new object of class 'Updaters'
`WhereClause` | `createWhereClause()` Returns a new object of class 'Where Clause'
`DatagenPackage` | `getDatagenPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final DatagenFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createDBAccessModel

    DBAccessModel createDBAccessModel()

  Returns a new object of class 'DB Access Model'.

  Returns:
    a new object of class 'DB Access Model'.

### createDataAccessObject

    DataAccessObject createDataAccessObject()

  Returns a new object of class 'Data Access Object'.

  Returns:
    a new object of class 'Data Access Object'.

### createDaoPackage

    DaoPackage createDaoPackage()

  Returns a new object of class 'Dao Package'.

  Returns:
    a new object of class 'Dao Package'.

### createSequencePKGenerator

    SequencePKGenerator createSequencePKGenerator()

  Returns a new object of class 'Sequence PK Generator'.

  Returns:
    a new object of class 'Sequence PK Generator'.

### createInserter

    Inserter createInserter()

  Returns a new object of class 'Inserter'.

  Returns:
    a new object of class 'Inserter'.

### createFindByPK

    FindByPK createFindByPK()

  Returns a new object of class 'Find By PK'.

  Returns:
    a new object of class 'Find By PK'.

### createFindAll

    FindAll createFindAll()

  Returns a new object of class 'Find All'.

  Returns:
    a new object of class 'Find All'.

### createQBEFinder

    QBEFinder createQBEFinder()

  Returns a new object of class 'QBE Finder'.

  Returns:
    a new object of class 'QBE Finder'.

### createCustomFinder

    CustomFinder createCustomFinder()

  Returns a new object of class 'Custom Finder'.

  Returns:
    a new object of class 'Custom Finder'.

### createUpdaters

    Updaters createUpdaters()

  Returns a new object of class 'Updaters'.

  Returns:
    a new object of class 'Updaters'.

### createUpdateRow

    UpdateRow createUpdateRow()

  Returns a new object of class 'Update Row'.

  Returns:
    a new object of class 'Update Row'.

### createUpdateColumns

    UpdateColumns createUpdateColumns()

  Returns a new object of class 'Update Columns'.

  Returns:
    a new object of class 'Update Columns'.

### createDeleters

    Deleters createDeleters()

  Returns a new object of class 'Deleters'.

  Returns:
    a new object of class 'Deleters'.

### createDeleteByPK

    DeleteByPK createDeleteByPK()

  Returns a new object of class 'Delete By PK'.

  Returns:
    a new object of class 'Delete By PK'.

### createCustomUpdater

    CustomUpdater createCustomUpdater()

  Returns a new object of class 'Custom Updater'.

  Returns:
    a new object of class 'Custom Updater'.

### createCustomDeleter

    CustomDeleter createCustomDeleter()

  Returns a new object of class 'Custom Deleter'.

  Returns:
    a new object of class 'Custom Deleter'.

### createLookupResolvers

    LookupResolvers createLookupResolvers()

  Returns a new object of class 'Lookup Resolvers'.

  Returns:
    a new object of class 'Lookup Resolvers'.

### createLookupResolver

    LookupResolver createLookupResolver()

  Returns a new object of class 'Lookup Resolver'.

  Returns:
    a new object of class 'Lookup Resolver'.

### createQueryDef

    QueryDef createQueryDef()

  Returns a new object of class 'Query Def'.

  Returns:
    a new object of class 'Query Def'.

### createSelectClause

    SelectClause createSelectClause()

  Returns a new object of class 'Select Clause'.

  Returns:
    a new object of class 'Select Clause'.

### createQTableColumn

    QTableColumn createQTableColumn()

  Returns a new object of class 'QTable Column'.

  Returns:
    a new object of class 'QTable Column'.

### createQCalculatedColumn

    QCalculatedColumn createQCalculatedColumn()

  Returns a new object of class 'QCalculated Column'.

  Returns:
    a new object of class 'QCalculated Column'.

### createFromClause

    FromClause createFromClause()

  Returns a new object of class 'From Clause'.

  Returns:
    a new object of class 'From Clause'.

### createQTable

    QTable createQTable()

  Returns a new object of class 'QTable'.

  Returns:
    a new object of class 'QTable'.

### createJoinClause

    JoinClause createJoinClause()

  Returns a new object of class 'Join Clause'.

  Returns:
    a new object of class 'Join Clause'.

### createJoinCriterion

    JoinCriterion createJoinCriterion()

  Returns a new object of class 'Join Criterion'.

  Returns:
    a new object of class 'Join Criterion'.

### createWhereClause

    WhereClause createWhereClause()

  Returns a new object of class 'Where Clause'.

  Returns:
    a new object of class 'Where Clause'.

### createFinders

    Finders createFinders()

  Returns a new object of class 'Finders'.

  Returns:
    a new object of class 'Finders'.

### createOrderSpec

    OrderSpec createOrderSpec()

  Returns a new object of class 'Order Spec'.

  Returns:
    a new object of class 'Order Spec'.

### createOrderSpecs

    OrderSpecs createOrderSpecs()

  Returns a new object of class 'Order Specs'.

  Returns:
    a new object of class 'Order Specs'.

### getDatagenPackage

    DatagenPackage getDatagenPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD